/*
   I8kfanGUI V3.1
   Copyright(c) 2001-2007 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __GLOBALVARS_H
#define __GLOBALVARS_H

// Variablentyp fr Zeiger auf 'CallNtPowerInformation' der Power-dll
typedef LONG (WINAPI *NTPOWERINFO) ( POWER_INFORMATION_LEVEL pil, PVOID in, ULONG ins, PVOID out, ULONG outs );

// Variablentyp fr Zeiger auf 'EnableThemeDialogTexture' der UxTheme-dll
typedef HRESULT (WINAPI *UXTENABLE) ( HWND hwnd, DWORD flags );

// Variablentyp fr Zeiger auf 'GetSystemTimes()' der Kernel32.dll fr neue Variante der CPU-Lasterkennung
typedef BOOL (WINAPI *PROCGST)(LPFILETIME, LPFILETIME, LPFILETIME);

extern int glb_iCPUTemp;
extern CString glb_szCPUTemp;
extern int glb_iGPUTemp;
extern CString glb_szGPUTemp;
extern int glb_iMemoryTemp;
extern CString glb_szMemoryTemp;
extern int glb_iChipsetTemp;
extern CString glb_szChipsetTemp;
extern int glb_iCPUSpeed;
extern CString glb_szCPUSpeed;
extern int glb_iCPULoad;
extern CString glb_szCPULoad;
extern int glb_iHDTemp;
extern int glb_iHDTemp2;

extern int glb_iFanSpeed1;
extern int glb_iFanStatus1;
extern int glb_iSensorSpeed1;
extern CString glb_szFanSpeed1;
extern CString glb_szSpeedString1;
extern int glb_iFanSpeed2;
extern int glb_iFanStatus2;
extern int glb_iSensorSpeed2;
extern CString glb_szFanSpeed2;
extern CString glb_szSpeedString2;

extern BYTE glb_iaTempArr[1204];
extern BYTE glb_iaGPUArr[1204];
extern BYTE glb_iaMemArr[1204];
extern BYTE glb_iaChipArr[1204];
extern BYTE glb_iaSpeedArr[1204];
extern BYTE glb_iaLoadArr[1204];
extern int glb_iaFan1Speed[1204];
extern int glb_iaFan2Speed[1204];
extern time_t glb_taTimeStamp[1204];
extern int glb_iDiagramIndex;

extern HANDLE glb_hHndFile;
extern bool glb_bTrayIcon1Active;
extern bool glb_bTrayIcon2Active;
extern int glb_iCPULevel;
extern int glb_iGPULevel;
extern int glb_iMemoryLevel;
extern int glb_iChipsetLevel;
extern bool glb_bDirectSpeedApplied;
extern int glb_iDirectSpeedMethod;
extern int glb_iDirectSpeed1;
extern int glb_iDirectSpeed2;
extern TOptions options;
extern HMODULE glb_pPowerApiDLL;
extern NTPOWERINFO glb_pCallPI;
extern HMODULE glb_pUxThemeDLL;
extern UXTENABLE glb_pCallThemeEnable;

extern HWND glb_hWnd;
extern HICON glb_hIcon;

extern bool glb_bSpeedIconActive;
extern bool glb_bPerfCnt;
extern bool glb_bWinXP;
extern bool glb_bPowerDLL;
extern bool glb_bShellVer5;

extern HICON glb_hTempIcon;
extern HICON glb_hTempIcon2;
extern HICON glb_hSpeedIcon;

extern CString glb_szFan1AliasUpper;
extern CString glb_szFan2AliasUpper;

extern int glb_iCPUMax;
extern int glb_iGPUMax;
extern int glb_iMemoryMax;
extern int glb_iChipsetMax;
extern int glb_iHDMax;
extern int glb_iHDMax2;

extern int glb_iEffectiveTimerBase;

extern bool glb_bActiveFanForcing;
extern bool glb_bSensorFanForcing;
extern int glb_iFanForcingValue1;
extern int glb_iFanForcingValue2;

extern PROCGST glb_ProcGetSystemTimes;
extern int glb_intelDTSTJunction;
extern bool glb_intelDTSTempSupport;
extern int glb_iCPUTempC1;
extern int glb_iCPUTempC2;
extern CString glb_szCPUTempC1;
extern CString glb_szCPUTempC2;
extern int glb_iLogCPUNum;
extern DWORD_PTR glb_dProcessMask;
extern DWORD_PTR glb_dSystemMask;
extern DWORD_PTR glb_dTargetAffinity;
extern DWORD_PTR glb_iCPUAffinityMask[32];
#endif

