/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#pragma once

class CI8kfanguiOptionDlg;

// COptionsDirect dialog

class COptionsDirect : public CDialog
{
	DECLARE_DYNAMIC(COptionsDirect)

public:
	COptionsDirect(CWnd* pParent = NULL);   // standard constructor
	virtual ~COptionsDirect();
  void setParent( CI8kfanguiOptionDlg* p ) { parent=p; }
  void getVars();

// Dialog Data
	enum { IDD = IDD_OPTIONS_DIRECT };

private:
  CI8kfanguiOptionDlg* parent;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();
  afx_msg void OnBnClickedSensorsupport();
	DECLARE_MESSAGE_MAP()

public:
  BOOL m_bSensorSupport;
  BOOL m_bFan1Force;
  BOOL m_bFan2Force;
};
