/***************************************************************
* H file:  Speed.h
*
*   This program has been developed by Intel Corporation.  
*		You have Intel's permission to incorporate this code 
*   into your product, royalty free.  
*
*  Copyright (c) 1995, Intel Corporation.  All rights reserved.
*
*  Runtime optimizations & modifications for I8kfanGUI 
*    by C. Diefer
***************************************************************/
 
#ifndef speed_h
#define speed_h


struct FREQ_INFO GetRDTSCCpuSpeed();


// VARIABLE STRUCTURE DEFINITIONS //////////////////////////////
struct FREQ_INFO
{
  unsigned long in_cycles;    // Internal clock cycles during test
  unsigned long ex_ticks;     // Microseconds elapsed during test
  unsigned long raw_freq;     // Raw frequency of CPU in MHz
  unsigned long norm_freq;    // Normalized frequency of CPU in MHz
};


typedef unsigned short ushort;
typedef unsigned long  ulong;

#endif speed_h
 
