/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#pragma once
#include "afxcmn.h"


// CSystemInfoSMBIOS-Dialogfeld

class CSystemInfoSMBIOS : public CDialog
{
	DECLARE_DYNAMIC(CSystemInfoSMBIOS)

public:
	CSystemInfoSMBIOS(CWnd* pParent = NULL);   // Standardkonstruktor
	virtual ~CSystemInfoSMBIOS();

// Dialogfelddaten
	enum { IDD = IDD_SYSTEMINFO_SMBIOS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
  BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

  void fillList( wchar_t* t, CListCtrl* m_cList );
  void fillLangStrings();

  wchar_t t[32768];
  CListCtrl m_cList;
  CString ori[24];
  CString lang[24];
};
