/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _TSTRINGTOKENIZER_H
#define _TSTRINGTOKENIZER_H

#include <string.h>

class TStringTokenizer {
  public:
    TStringTokenizer( wchar_t* s, bool checkStrings=true );
    ~TStringTokenizer();
    void setString( wchar_t* s );
    wchar_t* getNextToken( wchar_t** t = NULL, wchar_t** u = NULL );
    void setDelimiters( wchar_t* s );
    bool isDelimiter( wchar_t c );
    inline void setCheckStrings( bool c ) { checkStrings=c; }
    
  protected:
    wchar_t* line;
    wchar_t* delimiters;
    wchar_t* pointer;
    wchar_t* ret;	
    bool checkStrings;
};

#endif
