/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"

#define VERSION L"3.1"

#ifdef _WIN64
#define RELPLATFORM L"-x64"
#else
#define RELPLATFORM L""
#endif

void log( wchar_t* msg, ... );
void logInfoString( wchar_t* buf, wchar_t* s, wchar_t* dest );
void clearLog();

extern wchar_t logPath[264];

/////////////////////////////////////////////////////////////////////////////
// CI8kfanguiApp:
//

class CI8kfanguiApp : public CWinApp
{
public:
	CI8kfanguiApp();

	//{{AFX_VIRTUAL(CI8kfanguiApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CI8kfanguiApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
  HANDLE hMutex;
  BOOL activeMutex;
};
