/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef cpuid_h
#define cpuid_h

size_t getLogicalCPUCount();
int testMCHT();

#ifdef _WIN64
extern "C" WORD wincpuidsupport();
#else
WORD wincpuidsupport();
#endif

WORD wincpuid();
DWORD wincpufeatures();

extern wchar_t detectBuf[32768];

extern UCHAR minPkgID;
//extern UCHAR maxCoreID;
extern UCHAR minCoreID;
extern UCHAR minSMTID;

#define CPU_ID _asm _emit 0x0f _asm _emit 0xa2  
#define RDTSC  _asm _emit 0x0f _asm _emit 0x31  

static WORD check_IDProc();

#endif cpuid_h
