/*
   I8kfanGUI V3.1
   Copyright(c) 2001-2007 Christian Diefer

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "stdafx.h"
#include "AtlBase.h"
#include "TOptions.h"
#include "GlobalVars.h"

int glb_iCPUTemp;
CString glb_szCPUTemp;
int glb_iGPUTemp;
CString glb_szGPUTemp;
int glb_iMemoryTemp;
CString glb_szMemoryTemp;
int glb_iChipsetTemp;
CString glb_szChipsetTemp;
int glb_iCPUSpeed;
CString glb_szCPUSpeed;
int glb_iCPULoad;
CString glb_szCPULoad;
int glb_iHDTemp;
int glb_iHDTemp2;

int glb_iFanSpeed1;
int glb_iFanStatus1;
int glb_iSensorSpeed1;
CString glb_szFanSpeed1;
CString glb_szSpeedString1;
int glb_iFanSpeed2;
int glb_iFanStatus2;
int glb_iSensorSpeed2;
CString glb_szFanSpeed2;
CString glb_szSpeedString2;

BYTE glb_iaTempArr[1204];
BYTE glb_iaGPUArr[1204];
BYTE glb_iaMemArr[1204];
BYTE glb_iaChipArr[1204];
BYTE glb_iaSpeedArr[1204];
BYTE glb_iaLoadArr[1204];
int glb_iaFan1Speed[1204];
int glb_iaFan2Speed[1204];
time_t glb_taTimeStamp[1204];
int glb_iDiagramIndex;

HANDLE glb_hHndFile;
int glb_iCPULevel;
int glb_iGPULevel;
int glb_iMemoryLevel;
int glb_iChipsetLevel;
bool glb_bDirectSpeedApplied;
int glb_iDirectSpeedMethod;
int glb_iDirectSpeed1;
int glb_iDirectSpeed2;
TOptions options;

HMODULE glb_pPowerApiDLL;
NTPOWERINFO glb_pCallPI;

HMODULE glb_pUxThemeDLL;
UXTENABLE glb_pCallThemeEnable;

HWND glb_hWnd;
HICON glb_hIcon;

bool glb_bPerfCnt;
bool glb_bWinXP;
bool glb_bPowerDLL;
bool glb_bShellVer5;

bool glb_bTrayIcon1Active;
bool glb_bTrayIcon2Active;
bool glb_bSpeedIconActive;
HICON glb_hTempIcon;
HICON glb_hTempIcon2;
HICON glb_hSpeedIcon;

CString glb_szFan1AliasUpper;
CString glb_szFan2AliasUpper;

int glb_iCPUMax;
int glb_iGPUMax;
int glb_iMemoryMax;
int glb_iChipsetMax;
int glb_iHDMax;
int glb_iHDMax2;

int glb_iEffectiveTimerBase;

bool glb_bActiveFanForcing;
bool glb_bSensorFanForcing;
int glb_iFanForcingValue1;
int glb_iFanForcingValue2;

PROCGST glb_ProcGetSystemTimes;

int glb_intelDTSTJunction;
bool glb_intelDTSTempSupport;
int glb_iCPUTempC1;
int glb_iCPUTempC2;
CString glb_szCPUTempC1;
CString glb_szCPUTempC2;
int glb_iLogCPUNum;
DWORD_PTR glb_dProcessMask;
DWORD_PTR glb_dSystemMask;
DWORD_PTR glb_dTargetAffinity;
DWORD_PTR glb_iCPUAffinityMask[32];
