/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "stdafx.h"
#include "i8kfangui.h"
#include "AtlBase.h"
#include "TOptions.h"
#include "I8kfanModify.h"
#include "GlobalVars.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CI8kfanModify 


CI8kfanModify::CI8kfanModify(CWnd* pParent /*=NULL*/)
	: CDialog(CI8kfanModify::IDD, pParent)
{
	//{{AFX_DATA_INIT(CI8kfanModify)
	m_szAlias1 = _T("");
	m_szAlias2 = _T("");
	m_szAlias3 = _T("");
	m_szAlias4 = _T("");
	//}}AFX_DATA_INIT
}

void CI8kfanModify::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CI8kfanModify)
	DDX_Text(pDX, IDC_ALIAS1, m_szAlias1);
	DDX_Text(pDX, IDC_ALIAS2, m_szAlias2);
	DDX_Text(pDX, IDC_ALIAS3, m_szAlias3);
	DDX_Text(pDX, IDC_ALIAS4, m_szAlias4);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CI8kfanModify, CDialog)
	//{{AFX_MSG_MAP(CI8kfanModify)
	ON_BN_CLICKED(IDC_MAPPLY, OnMapply)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CI8kfanModify 

BOOL CI8kfanModify::OnInitDialog() 
{
	CDialog::OnInitDialog();

  m_szAlias1 = options.ms[0].alias;
  m_szAlias2 = options.ms[1].alias;
  m_szAlias3 = options.ms[2].alias;
  m_szAlias4 = options.ms[3].alias;

  UpdateData( FALSE );
	return TRUE;
}

void CI8kfanModify::OnOK() 
{
  UpdateData();

  getVars();

  CDialog::OnOK();
}

void CI8kfanModify::getVars()
{
  // use new values
  wcscpy_s( options.ms[0].alias, m_szAlias1 );
  wcscpy_s( options.ms[1].alias, m_szAlias2 );
  wcscpy_s( options.ms[2].alias, m_szAlias3 );
  wcscpy_s( options.ms[3].alias, m_szAlias4 );
}


void CI8kfanModify::OnMapply() 
{
  getVars();
}
