/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#pragma once
#include "afxwin.h"

class CI8kfanguiOptionDlg;

// COptionsMisc dialog

class COptionsAdvanced : public CDialog
{
	DECLARE_DYNAMIC(COptionsAdvanced)

public:
	COptionsAdvanced(CWnd* pParent = NULL);   // standard constructor
	virtual ~COptionsAdvanced();
  void setParent( CI8kfanguiOptionDlg* p ) { parent=p; }
  void getVars();
  void fieldConstraints();

// Dialog Data
	enum { IDD = IDD_OPTIONS_ADVANCED };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

private:
  CI8kfanguiOptionDlg* parent;

protected:
  int m_iFan1Index;
  int m_iFan2Index;
  int m_iFanSpeedDivider;
  int m_iCPUIndex;
  int m_iGPUIndex;
  int m_iMemoryIndex;
  int m_iOtherIndex;
  CString m_szFan1Alias;
  CString m_szFan2Alias;
  CComboBox m_cNumFans;
  int m_iNumFans;
  int m_iCPUCompensation;
  int m_iGPUCompensation;
  int m_iMemoryCompensation;
  int m_iChipsetCompensation;
  int m_iFan1SensorIndex;
  int m_iFan2SensorIndex;
};
