/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#pragma once
#include "afxwin.h"
#include "afxcmn.h"

class CI8kfanguiOptionDlg;

// COptionsCPUMon dialog

class COptionsCPUMon : public CDialog
{
  DECLARE_DYNAMIC(COptionsCPUMon)

public:
  COptionsCPUMon(CWnd* pParent = NULL);   // standard constructor
  virtual ~COptionsCPUMon();
  void setParent( CI8kfanguiOptionDlg* p ) { parent=p; }
  void changeUnits( BOOL m_bFahrenHeit );
  void sensorSwitch();
  void getVars();
  void UpdateTabData();

// Dialog Data
  enum { IDD = IDD_OPTIONS_CPUMON };

protected:
  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();
  afx_msg void OnCbnSelchangePredeflist();
  afx_msg void OnBnClickedLoadbutton();
  afx_msg void OnBnClickedModifybutton();
  afx_msg void OnBnClickedSavebutton();
  afx_msg void OnBnClickedHwfans();
  afx_msg void OnTcnSelchangeTab1(NMHDR *pNMHDR, LRESULT *pResult);
  DECLARE_MESSAGE_MAP()

private:
  //void changeBoxTemps( int elem, int t1, int t2, BOOL fahrenHeit );
  void setMonValues();

  CI8kfanguiOptionDlg* parent;
  char fileName[260];
  CTabCtrl tabCtrl;
  CDialog* tabs[4];

public:
  BOOL m_bHWSensor;
  int m_iPreDef;
  BOOL m_bFanUsageBalancing;
  bool fa;
};
