/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#pragma once
#include "afxwin.h"
#include "ColorComboEx.h"

class CI8kfanguiOptionDlg;

class COptionsIcons : public CDialog
{
	DECLARE_DYNAMIC(COptionsIcons)

public:
	COptionsIcons(CWnd* pParent = NULL);   // standard constructor
	virtual ~COptionsIcons();
  void setParent( CI8kfanguiOptionDlg* p ) { parent=p; }
  void getVars();

// Dialog Data
	enum { IDD = IDD_OPTIONS_ICONS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();
  afx_msg void OnCbnSelchangeCheck1();
  afx_msg void OnCbnSelchangeCheck2();
  afx_msg void OnCbnSelchangeSpeedIcon();
  afx_msg void OnBnClickedCheck4();
  afx_msg void OnBnClickedCheck5();
	DECLARE_MESSAGE_MAP()

private:
  CI8kfanguiOptionDlg* parent;

public:
  int m_iTrayDisplay1;
  int m_iTrayDisplay2;
  BOOL m_bTransparent;
  CColorComboEx m_cColor1;
  CColorComboEx m_cColor2;
  int m_iColor1;
  int m_iColor2;
  BOOL m_bStatusIcon2;
  int m_iTrayDisplay1b;
  int m_iTrayDisplay2b;
  BOOL m_bTransparentB;
  CColorComboEx m_cColor1b;
  CColorComboEx m_cColor2b;
  int m_iColor1b;
  int m_iColor2b;
  BOOL m_bSpeedIcon;
  CColorComboEx m_cFanColor1;
  CColorComboEx m_cFanColor2;
  int m_iFanColor1;
  int m_iFanColor2;
  BOOL m_bFanTransparent;
  int m_iTrayFanSpeedDivider;
  BOOL m_bFanIconStateOnly;
};
