/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#pragma once
#include "afxwin.h"

class CI8kfanguiOptionDlg;
class CColorComboEx;

// COptionsReading dialog

class COptionsReading : public CDialog
{
	DECLARE_DYNAMIC(COptionsReading)

public:
	COptionsReading(CWnd* pParent = NULL);   // standard constructor
	virtual ~COptionsReading();
  void setParent( CI8kfanguiOptionDlg* p ) { parent=p; }
  void getVars();

// Dialog Data
	enum { IDD = IDD_OPTIONS_READING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();
    afx_msg void OnBnClickedReadcputemp();
    afx_msg void OnBnClickedReadcputemp2();
    afx_msg void OnBnClickedReadcputemp3();
    afx_msg void OnBnClickedReadcputemp4();
    afx_msg void OnBnClickedReadhdtemp();
    afx_msg void OnBnClickedReadcpuspeed();
    afx_msg void OnBnClickedHdbutton();
	DECLARE_MESSAGE_MAP()

private:
  BOOL displaySensorWarning( CString sensor );
  CI8kfanguiOptionDlg* parent;

public:
  BOOL m_bReadCPUTemp;
  BOOL m_bReadGPUTemp;
  BOOL m_bReadMemoryTemp;
  BOOL m_bReadOtherTemp;
  BOOL m_bReadHDTemp;
  BOOL m_bReadHDTemp2;
  int m_iHDNo;
  int m_iHDNo2;
  int hdMax;
  BOOL m_bReadFanSpeed1;
  BOOL m_bReadFanSpeed2;
  BOOL m_bReadFanStatus1;
  BOOL m_bReadFanStatus2;
  BOOL m_bReadCPULoad;
  BOOL m_bReadCPUSpeed;
  int m_iCPUVar;
  int hds[MAXDRIVES];
  CComboBox m_cCPUVar;
};
