/*
   I8kfanGUI V3.0
   Copyright(c) 2001-2006 Christian Diefer

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as 
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __TRAYICONMANAGER_H
#define __TRAYICONMANAGER_H

extern unsigned char digits[25][8];
extern int colorVal[16][3];

class TTrayIconManager {
public:
  void displayTrayIcon( DWORD msg, bool forceMainIcon=false, bool forceMainIcon2=false, bool forceFanIcon=false );

private:
  void createSystemIcon( DWORD msg, bool force, wchar_t* tp, int iconNo );
  void createFanIcon( DWORD msg, bool forceFanIcon );
  HICON createIcon( bool upperStatus, int upperValue, bool lowerStatus, int lowerValue, int iconType );
  void createTempIcon( int temp, int where, BYTE* and );

  CString sx;
};

#endif
